%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name paramiko

Name: python%{python_suffix}-%{pypi_name}
Version: 2.6.0
Release: 1
License: LGPL-2.1
Summary: SSH2 Connections for Python
Url: https://github.com/paramiko/paramiko

Source0: https://files.pythonhosted.org/packages/4b/80/74dace9e48b0ef923633dfb5e48798f58a168e4734bca8ecfaf839ba051a/paramiko-2.6.0-py2.py3-none-any.whl

BuildArch: noarch

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip
BuildRequires: python%{python_suffix}-bcrypt
BuildRequires: python%{python_suffix}-cryptography >= 2.5
BuildRequires: python%{python_suffix}-pynacl
Requires: python%{python_suffix}-bcrypt
Requires: python%{python_suffix}-cryptography >= 2.5
Requires: python%{python_suffix}-pynacl

%description
This is a library for making SSH2 connections (client or server). 
Emphasis is on using SSH2 as an alternative to SSL for making secure 
connections between python scripts. All major ciphers and hash methods 
are supported. SFTP client and server mode are both supported too.

%install 
%py_install_wheel_source %{SOURCE0}

%files
%defattr(-, qsys, *none)

%{python_sitelib}/paramiko*

%changelog
* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 2.6.0
- Port to Python 3.9
- Use macros from python-rpm-macros

* Thu Jan 16 2020 - Naveen Ram <naveen.ram@ibm.com> - 2.6.0
- Initial package
